lkml.org 
[lkml]   [2011]   [Jan]   [21]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRE: Status of the LSI 2108
The latest vanilla kernel should have support for all of our second generation sas HBAs (6gb/s capable).  If there are any problems you can always download an updated driver from the www.lsi.com website.  

The Supermicro ftp site you sent is actually for our counterpart in LSI, Megaraid. Since they run a different firmware, they have a different driver in the kernel (megaraid_sas) where as ours are mptlinux (Gen1, 3.0gb/s), mpt2sas (Gen2), mpt2sasbtm (Gen2 but for older 2.6 kernels). We both use the same chip so Supermicro might be making it a little confusing. You might see if they reference the chip as a Megaraid chip in any way or if it is always an LSI chip. It is possible to run it in both modes if all the hardware components are there.

It would probably be best to email Supermicro and get the details from them about the chip to confirm what you need.

-----Original Message-----
From: James Shubin [mailto:purpleidea@gmail.com]
Sent: Thursday, January 20, 2011 5:57 PM
To: Randy Dunlap
Cc: scsi; linux-kernel@vger.kernel.org; DL-MPT Fusion Linux
Subject: Re: Status of the LSI 2108

Thanks Randy for sending me in the right direction.
Hello linux-scsi and LSI. Any thoughts to the below question would be
much appreciated!

James


On Thu, 2011-01-20 at 15:34 -0800, Randy Dunlap wrote:
> On Tue, 18 Jan 2011 23:25:53 -0500 James Shubin wrote:
>
> > Hi,
> >
> > I've been trying to find out if the LSI 2108 is fully supported in the
> > vanilla kernel, and any thoughts as to the quality/robustness.
> >
> > This seems to be the correct source:
> > ftp://ftp.supermicro.nl/driver/SAS/LSI/2108/Driver/Linux/v04.31/
> > however I'm not sure at all if it's maintained, or what. I would
> > outright test this myself, however I haven't bought the servers yet
> >
> > Thanks for your help,
> > Please cc-me on replies.
>
> Hi,
>
> Probably better to ask on the linux-scsi mailing list [added].
> Also added the lsi.com email address.
>
>
> drivers/scsi/mpt2sas/mpt2sas_scsih.c contains this:
>
> /* Liberator ~ 2108 */
> { MPI2_MFGPAGE_VENDORID_LSI, MPI2_MFGPAGE_DEVID_SAS2108_1,
> PCI_ANY_ID, PCI_ANY_ID },
> { MPI2_MFGPAGE_VENDORID_LSI, MPI2_MFGPAGE_DEVID_SAS2108_2,
> PCI_ANY_ID, PCI_ANY_ID },
> { MPI2_MFGPAGE_VENDORID_LSI, MPI2_MFGPAGE_DEVID_SAS2108_3,
> PCI_ANY_ID, PCI_ANY_ID },
>
> so it looks like there is at least some basic support for the 2108.
>
>
> ---
> ~Randy
> *** Remember to use Documentation/SubmitChecklist when testing your code ***


\
 
 \ /
  Last update: 2011-01-21 16:51    [W:0.050 / U:4.576 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site